Show / Hide Table of Contents

# Struct hkaSkeleton

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaSkeleton

### Fields

| Improve this Doc View Source

#### Bones

##### Declaration

    public hkArray<hkaBone> Bones

##### Field Value

Type | Description
--- | ---
hkArray<hkaBone> |

| Improve this Doc View Source

#### FloatSlots

##### Declaration

    public hkArray<hkStringPtr> FloatSlots

##### Field Value

Type | Description
--- | ---
hkArray<hkStringPtr> |

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### LocalFrames

##### Declaration

    public hkArray<hkaSkeleton.LocalFrameOnBone> LocalFrames

##### Field Value

Type | Description
--- | ---
hkArray<hkaSkeleton.LocalFrameOnBone> |

| Improve this Doc View Source

#### Name

##### Declaration

    public hkStringPtr Name

##### Field Value

Type | Description
--- | ---
hkStringPtr |

| Improve this Doc View Source

#### ParentIndices

##### Declaration

    public hkArray<short> ParentIndices

##### Field Value

Type | Description
--- | ---
hkArray<System.Int16> |

| Improve this Doc View Source

#### Partitions

##### Declaration

    public hkArray<hkaSkeleton.Partition> Partitions

##### Field Value

Type | Description
--- | ---
hkArray<hkaSkeleton.Partition> |

| Improve this Doc View Source

#### ReferenceFloats

##### Declaration

    public hkArray<float> ReferenceFloats

##### Field Value

Type | Description
--- | ---
hkArray<System.Single> |

| Improve this Doc View Source

#### ReferencePose

##### Declaration

    public hkArray<hkQsTransformf> ReferencePose

##### Field Value

Type | Description
--- | ---
hkArray<hkQsTransformf> |